CREATE TABLE jv_assignment_rules_b_ (
    ASSIGNMENT_RULE_ID             NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    ASSIGNMENT_RULE_SHORT_NAME     VARCHAR2(120) ,
    ASSIGNMENT_RULE_STATUS_CODE    VARCHAR2(120) ,
    JOINT_VENTURE_ID               NUMBER(18, 0) ,
    OWNER_DEFINITION_SHORT_NAME    VARCHAR2(120) ,
    STAKEHOLDER_ID                 NUMBER(18, 0) ,
    ACCOUNT_SET_ID                 NUMBER(18, 0) ,
    ACCOUNT_CCID                   NUMBER(18, 0) ,
    PROJECT_SET_ID                 NUMBER(18, 0) ,
    SEQUENCE_NUMBER                NUMBER(5, 0)  ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                VARCHAR2(600) ,
    ATTRIBUTE_CHAR10               VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    ASSIGNMENT_RULE_ID             NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    ASSIGNMENT_RULE_SHORT_NAME     VARCHAR2(120) ,
    ASSIGNMENT_RULE_STATUS_CODE    VARCHAR2(120) ,
    JOINT_VENTURE_ID               NUMBER(18, 0) ,
    OWNER_DEFINITION_SHORT_NAME    VARCHAR2(120) ,
    STAKEHOLDER_ID                 NUMBER(18, 0) ,
    ACCOUNT_SET_ID                 NUMBER(18, 0) ,
    ACCOUNT_CCID                   NUMBER(18, 0) ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                VARCHAR2(600) ,
    ATTRIBUTE_CHAR10               VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    PROJECT_SET_ID                 NUMBER(18, 0) ,
    SEQUENCE_NUMBER                NUMBER(5, 0)  ,
    CONSTRAINT pk_jv_assignment_rules_b_ PRIMARY KEY (ASSIGNMENT_RULE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, ASSIGNMENT_RULE_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
